CWP Catalog item not (down)loading

Feb 19, 2018 02:05 PM - Anton Ellenbroek

Status: Closed Start date: Feb 19, 2018

Priority: Urgent Due date:  

Assignee: Francesco Mangiacrapa % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: Data Publishing   

Infrastructure: Production   

Description

https://ckan-bb.d4science.org/dataset/isscfc/resource/20070341-059c-4188-ac2a-52b348362b7c?inner_span=True

and other items in the CWP Secrtariat CKAN catalog are not always downoadable. In cases where files are uploaded, a server error

is shown. 

History

#1 - Feb 21, 2018 05:15 PM - Pasquale Pagano

- Assignee changed from Leonardo Candela to Francesco Mangiacrapa

- Priority changed from Normal to Urgent

#2 - Feb 21, 2018 05:44 PM - Costantino Perciante

Hi Anton, how did you published these items? We need to understand how the resources (files) have been attached to the items

#3 - Feb 21, 2018 06:15 PM - Pasquale Pagano

- Status changed from New to In Progress

- % Done changed from 0 to 100

Hi @anton.ellenbroek@fao.org, we think to have identified the reasons for the error. There are more than one reasons (if we are correct in our

analysis)

first, the Catalogue Admin role was given to Aureliano and Aymen. This role enables users to manage directly CKAN and the user should know

how to use it. The Catalogue Editor role should have been assigned instead. 

second, having the role Catalogue Admin, we think that Aymen updated an existing record by using the Manage function to add a resource of

type PDF. By doing in this way, the resource was saved on CKAN local storage, not accessible from outside, and not in the cloud storage. 

The edit of an existing record is supported via API only. If you need to edit records by adding resources through the GUI, you need to

a) store the file on the workspace

b) get a public link to the that file

c) edit the record by adding that link.

Please confirm that this is acceptable to you and close this ticket. We will start supporting this feature also via the Manage GUI function but clearly, it

will be delivered in about one month. 

#4 - Feb 22, 2018 06:22 PM - Francesco Mangiacrapa

- Status changed from In Progress to Closed

We just released a patch to fix the issue (more details at #https://support.d4science.org/issues/11284)

Now is possible to download the resources belonging to CWP_Secretariat authority.

I'm going to close this ticket.

#5 - Feb 22, 2018 10:34 PM - Aymen Charef

Dear Lino

Thank you for the analysis. I confirm using the steps you described by adding a file to resources of an item, as we learned from the CNR colleague.
I have to mention that the links of files I uploaded before are functional now without moving then to workspace. I guess they are uploaded by

@francesco.mangiacrapa@isti.cnr.it to the CKAN cloud.

I will follow the new procedure , through the workspace, as you described:

The edit of an existing record is supported via API only. If you need to edit records by adding resources through the GUI, you need to

a) store the file on the workspace

b) get a public link to the that file

c) edit the record by adding that link.

Please confirm that this is acceptable to you and close this ticket. We will start supporting this feature also via the Manage GUI function but

clearly, it will be delivered in about one month.
